public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/bash-completion/
Date: Wed, 28 Jun 2017 08:23:12 +0000 (UTC)	[thread overview]
Message-ID: <1498638186.6065f099995b037bd9bb1a3ad11143400fefa45e.mgorny@gentoo> (raw)

commit:     6065f099995b037bd9bb1a3ad11143400fefa45e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 28 05:46:00 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 28 08:23:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6065f099

app-shells/bash-completion: Support running tests (creepy)

Include the dependencies and code needed to run tests. Due to DejaGnu,
we need to emulate a virtual terminal to run tests. For this purpose,
use dtach since it is the smallest tool that solves the problem that
I know of.

Restrict the tests since they fail, and the failures are likely false
positives.

 .../bash-completion/bash-completion-2.6.ebuild     | 30 +++++++++++++++++++---
 1 file changed, 27 insertions(+), 3 deletions(-)

diff --git a/app-shells/bash-completion/bash-completion-2.6.ebuild b/app-shells/bash-completion/bash-completion-2.6.ebuild
index 0585f5e0e97..99d53dd87c6 100644
--- a/app-shells/bash-completion/bash-completion-2.6.ebuild
+++ b/app-shells/bash-completion/bash-completion-2.6.ebuild
@@ -14,12 +14,20 @@ SRC_URI="https://github.com/scop/bash-completion/releases/download/${PV}/${P}.ta
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris"
-IUSE=""
+IUSE="test"
+# Multiple test failures, need to investigate the exact problem
+RESTRICT="test"
 
 RDEPEND=">=app-shells/bash-4.3_p30-r1
 	sys-apps/miscfiles
 	!app-eselect/eselect-bashcomp"
-DEPEND="app-arch/xz-utils"
+DEPEND="app-arch/xz-utils
+	test? (
+		${RDEPEND}
+		app-misc/dtach
+		dev-util/dejagnu
+		dev-tcltk/tcllib
+	)"
 PDEPEND=">=app-shells/gentoo-bashcomp-20140911"
 
 # Remove unwanted completions.
@@ -48,7 +56,23 @@ src_prepare() {
 	eapply_user
 }
 
-src_test() { :; } # Skip testsuite because of interactive shell wrt #477066
+src_test() {
+	# Tests need an interactive shell, #477066
+	# idea stolen from:
+	# http://pkgs.fedoraproject.org/cgit/rpms/bash-completion.git/tree/bash-completion.spec
+
+	# real-time output of the log ;-)
+	touch "${T}/dtach-test.log" || die
+	tail -f "${T}/dtach-test.log" &
+	local tail_pid=${!}
+
+	nonfatal dtach -N "${T}/dtach.sock" \
+		bash -c 'emake check &> "${T}"/dtach-test.log; echo ${?} > "${T}"/dtach-test.out'
+
+	kill "${tail_pid}"
+	[[ -f ${T}/dtach-test.out ]] || die "Unable to run tests"
+	[[ $(<"${T}"/dtach-test.out) == 0 ]] || die "Tests failed"
+}
 
 src_install() {
 	# work-around race conditions, bug #526996


             reply	other threads:[~2017-06-28  8:23 UTC|newest]

Thread overview: 149+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-28  8:23 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-16  7:22 [gentoo-commits] repo/gentoo:master commit in: app-shells/bash-completion/ Ulrich Müller
2025-02-07  9:27 Arthur Zamarin
2025-01-10  7:38 Arthur Zamarin
2024-12-06 19:45 Arthur Zamarin
2024-12-06 19:45 Arthur Zamarin
2024-07-08  0:48 Sam James
2024-07-06 17:40 Arthur Zamarin
2024-06-08 11:12 Arthur Zamarin
2024-06-08 11:06 Arthur Zamarin
2024-06-07 13:35 Arthur Zamarin
2024-06-07 13:35 Arthur Zamarin
2024-06-07  6:26 Joonas Niilola
2024-06-07  6:26 Joonas Niilola
2024-06-06 17:30 Arthur Zamarin
2024-06-06 17:30 Arthur Zamarin
2024-06-06 17:30 Arthur Zamarin
2024-06-06 17:30 Arthur Zamarin
2024-06-06 17:30 Arthur Zamarin
2024-05-10 12:56 Joonas Niilola
2024-05-03 12:45 Sam James
2024-05-03 12:39 Sam James
2024-05-03 12:38 Sam James
2024-05-03 12:36 Sam James
2024-05-03 10:48 Arthur Zamarin
2024-05-03 10:48 Arthur Zamarin
2024-05-03 10:48 Arthur Zamarin
2024-03-03 15:55 Michał Górny
2024-03-03 15:25 Michał Górny
2023-06-10 10:25 Sam James
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2023-03-03 13:29 Michał Górny
2022-12-05 20:00 Michał Górny
2022-08-28  7:41 WANG Xuerui
2022-05-07  7:44 Sam James
2022-04-23 15:15 Mike Gilbert
2021-09-18 22:50 James Le Cuirot
2021-07-22  3:19 Georgy Yakovlev
2021-04-14  7:36 Michał Górny
2021-01-06 13:26 Fabian Groffen
2020-12-27 14:01 Fabian Groffen
2020-09-18  9:38 Michał Górny
2020-09-02 22:48 Sam James
2020-07-27 10:02 Michał Górny
2020-07-27  8:30 Michał Górny
2020-05-04  9:37 Michał Górny
2020-05-04  9:37 Michał Górny
2020-03-31 17:51 Mart Raudsepp
2020-02-24 11:31 Agostino Sarubbo
2020-02-20 18:47 Sergei Trofimovich
2020-02-17 12:17 Agostino Sarubbo
2020-02-17 12:13 Agostino Sarubbo
2020-02-17 12:09 Agostino Sarubbo
2020-02-17 11:47 Agostino Sarubbo
2020-02-17 11:45 Agostino Sarubbo
2019-12-07 16:59 Michał Górny
2019-12-07  9:15 Michał Górny
2019-11-03 15:29 Michał Górny
2019-10-30 21:56 Sergei Trofimovich
2019-09-22  7:01 Matt Turner
2019-09-13 17:51 Mikle Kolyada
2019-09-09  6:02 Agostino Sarubbo
2019-09-09  6:00 Agostino Sarubbo
2019-09-09  5:54 Agostino Sarubbo
2019-09-09  5:50 Agostino Sarubbo
2019-09-09  0:24 Aaron Bauman
2019-09-08 19:15 Thomas Deutschmann
2019-09-08 18:26 Sergei Trofimovich
2019-09-08  6:43 Michał Górny
2019-07-28 11:09 Mikle Kolyada
2019-06-25 20:05 Sergei Trofimovich
2019-06-06  6:46 Agostino Sarubbo
2019-06-05 11:14 Agostino Sarubbo
2019-06-04 14:48 Agostino Sarubbo
2019-05-30 20:30 Sergei Trofimovich
2019-05-26 22:27 Thomas Deutschmann
2019-05-26 11:07 Mikle Kolyada
2019-05-26  8:27 Sergei Trofimovich
2019-05-25 21:11 Michał Górny
2019-05-25 21:11 Michał Górny
2019-05-25 19:57 Michał Górny
2019-05-25 18:45 Aaron Bauman
2019-04-30  6:11 Michał Górny
2019-04-28 12:16 Michał Górny
2019-04-28 10:54 Michał Górny
2019-04-28  8:42 Michał Górny
2019-04-28  8:42 Michał Górny
2019-04-28  8:42 Michał Górny
2019-04-28  8:42 Michał Górny
2019-04-28  8:42 Michał Górny
2019-04-28  8:42 Michał Górny
2019-04-08 13:20 Aaron Bauman
2019-04-08  6:42 Mikle Kolyada
2019-03-16 21:57 Sergei Trofimovich
2019-03-16 14:06 Mikle Kolyada
2019-03-14 21:53 Sergei Trofimovich
2019-03-10 20:35 Sergei Trofimovich
2019-03-10 13:37 Mikle Kolyada
2019-03-10 13:35 Mikle Kolyada
2018-09-28  9:30 Michał Górny
2018-09-28  9:30 Michał Górny
2018-09-28  9:30 Michał Górny
2018-09-28  9:30 Michał Górny
2018-09-06 21:22 Michał Górny
2018-09-06 21:22 Michał Górny
2018-05-26  9:57 Mikle Kolyada
2018-05-15 21:58 Patrice Clement
2018-05-08 18:43 Sergei Trofimovich
2018-05-03  7:06 Mart Raudsepp
2018-04-21  9:20 Mikle Kolyada
2018-04-19 22:14 Sergei Trofimovich
2018-04-10 14:48 Michał Górny
2018-04-10 14:48 Michał Górny
2018-04-01 11:09 Tobias Klausmann
2018-03-30 13:32 Aaron Bauman
2018-03-27 22:32 Sergei Trofimovich
2018-03-26 16:14 Michał Górny
2018-03-26 16:14 Michał Górny
2018-03-13 22:18 Michał Górny
2018-03-12 17:49 Michał Górny
2018-03-11 15:56 Michał Górny
2018-01-05  9:43 Michał Górny
2018-01-02  6:19 Michał Górny
2017-11-25 19:55 David Seifert
2017-10-23 21:31 Michał Górny
2017-07-02 21:46 Michał Górny
2017-07-02 18:22 Michał Górny
2017-06-28  8:23 Michał Górny
2017-06-20 13:15 Alexis Ballier
2017-04-24 18:29 Michał Górny
2017-02-18  5:50 Markus Meier
2017-01-16 19:56 Tobias Klausmann
2017-01-14 11:44 Jeroen Roovers
2017-01-08  5:07 Aaron Bauman
2016-08-13 18:32 Michał Górny
2016-04-09 10:16 Michał Górny
2016-03-26 15:55 Michał Górny
2016-03-26 15:54 Michał Górny
2016-03-26 15:54 Michał Górny
2016-02-19 13:41 Michał Górny
2016-01-28 15:37 Ian Delaney
2016-01-28 15:37 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1498638186.6065f099995b037bd9bb1a3ad11143400fefa45e.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox